module.exports = {
  create: {
    requestBody: ['pid', 'pid_name', 'mech_name', 'name', '!phone', 'password', 'role', 'remark'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['pid', 'pid_name', 'mech_name', 'name', '!phone', 'password', 'role', 'remark'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        pid: 'pid',
        pid_name: '%pid_name%',
        mech_name: '%mech_name%',
        name: '%name%',
        phone: 'phone',
        role: 'role',
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  login: {
    requestBody: ['!phone', '!password'],
  },
};
