module.exports = {
  create: {
    requestBody: ['name', 'phone', 'password', 'card', 'email', 'address', 'zwzc', 'school', 'major', 'word_tel', 'type', 'role'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['name', 'phone', 'password', 'card', 'email', 'address', 'zwzc', 'school', 'major', 'word_tel', 'type', 'role'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        name: '%name%',
        phone: 'phone',
        card: 'card',
        email: '%email%',
        address: '%address%',
        zwzc: '%zwzc%',
        school: '%school%',
        major: '%major%',
        word_tel: 'word_tel',
        type: 'type',
        role: 'role',
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  login: {
    requestBody: ['!phone', '!password'],
  },
};
