module.exports = {
  create: {
    requestBody: [
      "user_id",
      "user_name",
      "admin_id",
      "admin_name",
      "name",
      "apply_name",
      "type",
      "inventor",
      "contact",
      "phone",
      "email",
      "questions",
      "file",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "user_id",
      "user_name",
      "admin_id",
      "admin_name",
      "name",
      "apply_name",
      "type",
      "inventor",
      "contact",
      "phone",
      "email",
      "questions",
      "file",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        user_id: "user_id",
        user_name: "%user_name%",
        admin_id: "admin_id",
        admin_name: "%admin_name%",
        name: "name",
        type: "type",
        status: "status",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  check: {
    requestBody: ["id", "status", "remark"],
  },
};
