module.exports = {
  create: {
    requestBody: [
      'create_number',
      'create_date',
      'success_number',
      'success_date',
      'inventor',
      'agent',
      'agent_personal',
      'abstract',
      'address',
      'name',
      'apply_personal',
      'term',
      'type',
      'img_url',
      'nationality',
      'ipc_type',
      'onlegal_status',
      'legal_status',
      'law_date',
      'on_obligee',
      'apply_address',
      'apply_other',
      'law_num',
      'first_opendate',
      'empower_date',
      'lose_date',
      'examine_date',
      'invention_design',
      'incopat_link',
      'first_ask',
      'first_apply',
      'apply_city',
      'business_code',
      'business_address',
      'first_inventor',
      'shared_value',
      'techol_stable',
      'techol_advanced',
      'pct_apply',
      'pct_publish',
      'status',
      'trans_status',
      'user_id',
    ],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: [
      'create_number',
      'create_date',
      'success_number',
      'success_date',
      'inventor',
      'agent',
      'agent_personal',
      'abstract',
      'address',
      'name',
      'apply_personal',
      'term',
      'type',
      'img_url',
      'nationality',
      'ipc_type',
      'onlegal_status',
      'legal_status',
      'law_date',
      'on_obligee',
      'apply_address',
      'apply_other',
      'law_num',
      'first_opendate',
      'empower_date',
      'lose_date',
      'examine_date',
      'invention_design',
      'incopat_link',
      'first_ask',
      'first_apply',
      'apply_city',
      'business_code',
      'business_address',
      'first_inventor',
      'shared_value',
      'techol_stable',
      'techol_advanced',
      'pct_apply',
      'pct_publish',
      'status',
      'trans_status',
      'user_id',
    ],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        create_number: 'create_number',
        create_date: 'create_date',
        success_number: 'success_number',
        success_date: 'success_date',
        inventor: '%inventor%',
        agent: '%agent%',
        agent_personal: '%agent_personal%',
        abstract: '%abstract%',
        address: '%address%',
        name: '%name%',
        apply_personal: '%apply_personal%',
        term: 'term',
        type: 'type',
        nationality: '%nationality%',
        ipc_type: '%ipc_type%',
        onlegal_status: '%onlegal_status%',
        legal_status: '%legal_status%',
        law_date: 'law_date',
        on_obligee: '%on_obligee%',
        apply_address: '%apply_address%',
        apply_other: '%apply_other%',
        law_num: '%law_num%',
        first_opendate: 'first_opendate',
        empower_date: 'empower_date',
        lose_date: 'lose_date',
        examine_date: 'examine_date',
        invention_design: '%invention_design%',
        incopat_link: '%incopat_link%',
        first_ask: '%first_ask%',
        first_apply: '%first_apply%',
        apply_city: '%apply_city%',
        business_code: '%business_code%',
        business_address: '%business_address%',
        first_inventor: '%first_inventor%',
        shared_value: '%shared_value%',
        techol_stable: '%techol_stable%',
        techol_advanced: '%techol_advanced%',
        pct_apply: '%pct_apply%',
        pct_publish: '%pct_publish%',
        status: 'status',
        trans_status: 'trans_status',
        'create_date@start': 'create_date@start',
        'create_date@end': 'create_date@end',
        'success_date@start': 'success_date@start',
        'success_date@end': 'success_date@end',
        'empower_date@start': 'empower_date@start',
        'empower_date@end': 'empower_date@end',
        key_word: 'key_word',
        single_inventor: 'single_inventor',
        code: 'code',
        user_id: 'user_id',
        pid: 'pid',
      },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['create_date'],
      desc: true,
      count: true,
      projection: {
        create_number: 1,
        create_date: 1,
        success_number: 1,
        success_date: 1,
        name: 1,
        term: 1,
        type: 1,
        onlegal_status: 1,
        status: 1,
        trans_status: 1,
      },
    },
  },
  toImport: {
    requestBody: ['uri', 'code'],
    service: 'toImport',
  },
  toExport: {
    requestBody: ['user', 'query'],
    service: 'toExport',
  },
  updateUser: {
    requestBody: ['patentData', 'user_id'],
  },
  deleteMany: {
    parameters: {
      query: {
        create_number: 'create_number',
        create_date: 'create_date',
        success_number: 'success_number',
        success_date: 'success_date',
        inventor: '%inventor%',
        agent: '%agent%',
        agent_personal: '%agent_personal%',
        abstract: '%abstract%',
        address: '%address%',
        name: '%name%',
        apply_personal: '%apply_personal%',
        term: 'term',
        type: 'type',
        nationality: '%nationality%',
        ipc_type: '%ipc_type%',
        onlegal_status: '%onlegal_status%',
        legal_status: '%legal_status%',
        law_date: 'law_date',
        on_obligee: '%on_obligee%',
        apply_address: '%apply_address%',
        apply_other: '%apply_other%',
        law_num: '%law_num%',
        first_opendate: 'first_opendate',
        empower_date: 'empower_date',
        lose_date: 'lose_date',
        examine_date: 'examine_date',
        invention_design: '%invention_design%',
        incopat_link: '%incopat_link%',
        first_ask: '%first_ask%',
        first_apply: '%first_apply%',
        apply_city: '%apply_city%',
        business_code: '%business_code%',
        business_address: '%business_address%',
        first_inventor: '%first_inventor%',
        shared_value: '%shared_value%',
        techol_stable: '%techol_stable%',
        techol_advanced: '%techol_advanced%',
        pct_apply: '%pct_apply%',
        pct_publish: '%pct_publish%',
        status: 'status',
        trans_status: 'trans_status',
        'create_date@start': 'create_date@start',
        'create_date@end': 'create_date@end',
        'success_date@start': 'success_date@start',
        'success_date@end': 'success_date@end',
        'empower_date@start': 'empower_date@start',
        'empower_date@end': 'empower_date@end',
        key_word: 'key_word',
        single_inventor: 'single_inventor',
        code: 'code',
        user_id: 'user_id',
        pid: 'pid',
      },
    },
    service: 'deleteMany',
  },
};
