module.exports = {
  create: {
    requestBody: [
      "send_id",
      "send_name",
      "to_type",
      "to_id",
      "to_name",
      "is_read",
      "content",
      "notice_file",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "send_id",
      "send_name",
      "to_type",
      "to_id",
      "to_name",
      "is_read",
      "content",
      "notice_file",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        send_id: "send_id",
        send_name: "%send_name%",
        to_type: "to_type",
        to_id: "to_id",
        is_read:"is_read"
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
