module.exports = {
  create: {
    requestBody: [
      "user_id",
      "user_name",
      "mech_id",
      "mech_name",
      "patent_id",
      "patent_name",
      "create_number",
      "contact",
      "phone",
      "email",
      "budget",
      "type",
      "promise_file",
      "is_report",
      "report",
      "requirementdesc",
      "expect",
      "present",
      "on_obligee",
      "on_afterobligee",
      "transfer_date",
      "condition",
      "abstract",
      "is_contract",
      "contract",
      "offine_contract",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "user_id",
      "user_name",
      "mech_id",
      "mech_name",
      "patent_id",
      "patent_name",
      "create_number",
      "contact",
      "phone",
      "email",
      "budget",
      "type",
      "promise_file",
      "is_report",
      "report",
      "requirementdesc",
      "expect",
      "present",
      "on_obligee",
      "on_afterobligee",
      "transfer_date",
      "condition",
      "abstract",
      "is_contract",
      "contract",
      "offine_contract",
      "status",
      "isdel",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        user_id: "user_id",
        user_name: "%user_name%",
        mech_id: "mech_id",
        mech_name: "%mech_name%",
        patent_id: "patent_id",
        patent_name: "patent_name",
        create_number: "create_number",
        contact: "%contact%",
        phone: "phone",
        email: "email",
        budget: "budget",
        type: "type",
        on_obligee: "on_obligee",
        on_afterobligee: "%on_afterobligee%",
        transfer_date: "transfer_date",
        is_contract: "is_contract",
        status: "status",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      options: {
        isdel: "0", // 默认条件
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  toImport: {
    requestBody: ["uri"],
    service: "toImport",
  },
  check: {
    requestBody: ["id", "status", "remark", "transfer_date"],
  },
};
