'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
const { ObjectId } = require('mongoose').Types;
// 查新检索-交底单
const patentanalysis = {
  user_id: { type: ObjectId }, // 用户id
  user_name: { type: String }, // 用户姓名
  admin_id: { type: ObjectId }, // 管理员id
  admin_name: { type: String }, // 管理员姓名
  name: { type: String }, // 发明名称
  apply_name: { type: String }, // 申请人
  type: { type: String }, // 专利类型
  inventor: { type: String }, // 发明人
  contact: { type: String }, // 联系人
  phone: { type: String }, // 联系人电话
  email: { type: String }, // 联系人邮箱
  questions: { type: Object, default: {} }, // 问题
  file: { type: Array }, // 报告文件
  status: { type: String, default: "0" }, // 状态
  record: { type: Array }, // 记录
  remark: { type: String },
};
const schema = new Schema(patentanalysis, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ user_id: 1 });
schema.index({ admin_id: 1 });
schema.index({ name: 1 });
schema.index({ status: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Patentanalysis', schema, 'patent_analysis');
};
